<div class="signoff-area">

  <!-- Adding confirmation dialog support -->
  {% load confirmation_text %}
  <script>
    function advClickConfirm(message) {
      return confirm(message);
    }
  </script>

  <table class="table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
    <thead>
      <tr><th><h3>Advocate Signoff</h3></th></tr>
    </thead>
    <tr>
      <td>
        <p>You are seeing this section because you're a designated EM followup advocate.
        {% if advocate_signoff_exists %}
        This event has already been signed off on. Use the form below if you wish to edit or delete the record.
        {% else %}
        This event still requires EM Followup advocate signoff.
        {% endif %}
        </p>

        <form class="signoff_form">
          <table align="center">
            {{ advocate_signoff_form.as_table }}
            <tr>
              <td></td>
              <td>
                {# inputs are disabled here, enabled by jquery code on page load. Otherwise users who click quickly can activate the form before the jquery is fully loaded #}
                {% if advocate_signoff_exists %}
                {% with advocate_signoff_type|add:advocate_signoff_instrument as typeinst %}
                {% with signoff_confirm_text="update_advocate_signoff,"|add:superevent.superevent_id|confirmation_text %}
                <input type="submit"
                       formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}"
                       value="Update signoff"
                       class="btn btn-warning"
                       id="update" disabled
                       onclick="return advClickConfirm('{{signoff_confirm_text}}')">
                {% endwith %}
                {% with signoff_confirm_text="delete_advocate_signoff,"|add:superevent.superevent_id|confirmation_text %}
                <input type="submit"
                       formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}"
                       value="Delete signoff"
                       class="btn btn-danger"
                       id="delete" disabled
                       onclick="return advClickConfirm('{{signoff_confirm_text}}')">
                {% endwith %}
                {% endwith %}
                {% else %}
                {% with signoff_confirm_text="create_advocate_signoff,"|add:superevent.superevent_id|confirmation_text %} 
                <input type="submit"
                       value="Create signoff"
                       class="btn btn-success"
                       formaction={% url "legacy_apiweb:default:superevents:superevent-signoff-list" superevent.superevent_id %}
                       disabled
                       onclick="return advClickConfirm('{{signoff_confirm_text}}')">
                {% endwith %}
                {% endif %}
              </td>
            </tr>
          </table>
        </form>
      </td></tr></table>
</div>
